def lunar_add(a, b):
    n = len(a)
    m = len(b)
    max_len = max(n, m)
    a = a.zfill(max_len)
    b = b.zfill(max_len)
    result = ""
    for i in range(max_len):
        result += str(max(int(a[i]), int(b[i])))
    return result


def lunar_multiply(a, b):
    n = len(a)
    m = len(b)
    partial_products = []
    for i in range(m - 1, -1, -1):
        partial_product = ""
        for j in range(n):
            partial_product += str(min(int(a[j]), int(b[i])))
        partial_products.append(partial_product + "0" * (m - 1 - i))

    if not partial_products:
        return "0"

    sum_result = partial_products[0]
    for i in range(1, len(partial_products)):
        sum_result = lunar_add(sum_result, partial_products[i])

    return sum_result


a = input()
b = input()

sum_ab = lunar_add(a, b)
prod_ab = lunar_multiply(a, b)

print(sum_ab, prod_ab)
